Skip to main content
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
Get Node
curl --request GET \
  --url https://api.example.com/orgs/{org_id}/nodes/{node_id}
{
  "id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "org_id": "<string>",
  "public_id": "<string>",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_email": "<string>",
  "tags": {},
  "directories": [
    "<string>"
  ],
  "num_parents": 123,
  "num_children": 123,
  "num_descendants": 0,
  "num_ancestors": 0
}

Headers

authorization
string | null

Path Parameters

org_id
string<uuid>
required
node_id
string
required

Query Parameters

branch
string
default:main

Response

Successful Response

Response model for node data.

id
string
required

Node ID

title
string
required

Node title

description
string
required

Node description

org_id
string
required

Organization ID

public_id
string
required

Public identifier

created_by
string
required

Creator user ID

created_at
string<date-time>
required

Creation timestamp

created_by_email
string | null

Creator email address

tags
Tags · object

Node tags

directories
string[] | null

Directory paths

num_parents
integer | null

How many parents contain this node

num_children
integer | null

How many children this node contains

num_descendants
integer | null
default:0

Total nodes reachable by walking down the tree

num_ancestors
integer | null
default:0

Total nodes reachable by walking up the tree